ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IEccAnalogInput Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IEccAnalogInput:

## Public Member Functions
void | SetAnalogInputCurrentMax (float current)
| set maximum current = ADC -> 10V
void | SetAnalogInputCurrentMin (float current)
| set minimum current = ADC -> 0V
float | GetAnalogInputCurrentMax ()
| get maximum current = ADC -> 10V
float | GetAnalogInputCurrentMin ()
| get minimum current = ADC -> 0V
void | SetAnalogInputDiopterMax (float diopter)
| set maximum Dpt = ADC -> 10V
void | SetAnalogInputDiopterMin (float diopter)
| set minimum Dpt = ADC -> 0V
float | GetAnalogInputDiopterMax ()
| get maximum Dpt = ADC -> 10V
float | GetAnalogInputDiopterMin ()
| set minimum Dpt = ADC -> 0V
CurrentLimitsDto | GetMinimumAndMaximumCurrent ()
| get minimum and maximum current ADC = 0V, 10V
void | SetAnalogInputVoltagePoints (float[] voltages)
| set interval of points to modify -> new float[] { 0, 10 }
void | SetAnalogInputValuePoints (float[] values)
| set interval of values to modify -> new float[] { -2, 3 } [dpt]
void | SetAnalogInputType (EICC4cPwmUnitType unitType)
| set active control stage system
EICC4cPwmUnitType | GetAnalogActiveInputType ()
| determined by active control stage system
EICC4cPwmUnitType | GetAnalogInputType ()
| determined by active control stage system
void | SetAnalogInputExtrapolation (EExtrapolationType extrapolation)
| set constant or linear extrapolation
EExtrapolationType | GetAnalogInputExtrapolation ()
| get constant or linear extrapolation

## Member Function Documentation

## ◆ GetAnalogActiveInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.IEccAnalogInput.GetAnalogActiveInputType | ( |  | ) |

determined by active control stage system

Returns
  EICC4cPwmUnitType

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAnalogInputCurrentMax()

float ICC4cPwmSdk.Device.IEccAnalogInput.GetAnalogInputCurrentMax | ( |  | ) |

get maximum current = ADC -> 10V

Returns
  current

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAnalogInputCurrentMin()

float ICC4cPwmSdk.Device.IEccAnalogInput.GetAnalogInputCurrentMin | ( |  | ) |

get minimum current = ADC -> 0V

Returns
  current

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAnalogInputDiopterMax()

float ICC4cPwmSdk.Device.IEccAnalogInput.GetAnalogInputDiopterMax | ( |  | ) |

get maximum Dpt = ADC -> 10V

Returns
  diopter

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAnalogInputDiopterMin()

float ICC4cPwmSdk.Device.IEccAnalogInput.GetAnalogInputDiopterMin | ( |  | ) |

set minimum Dpt = ADC -> 0V

Returns
  diopter

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAnalogInputExtrapolation()

EExtrapolationType ICC4cPwmSdk.Device.IEccAnalogInput.GetAnalogInputExtrapolation | ( |  | ) |

get constant or linear extrapolation

Returns
  EExtrapolationType

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAnalogInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.IEccAnalogInput.GetAnalogInputType | ( |  | ) |

determined by active control stage system

Returns
  GetAnalogActiveInputType

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetMinimumAndMaximumCurrent()

CurrentLimitsDto ICC4cPwmSdk.Device.IEccAnalogInput.GetMinimumAndMaximumCurrent | ( |  | ) |

get minimum and maximum current ADC = 0V, 10V

Returns
  CurrentLimitsDto

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAnalogInputCurrentMax()

void ICC4cPwmSdk.Device.IEccAnalogInput.SetAnalogInputCurrentMax | ( | float | current | ) |

set maximum current = ADC -> 10V

Parameters

  current | current

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAnalogInputCurrentMin()

void ICC4cPwmSdk.Device.IEccAnalogInput.SetAnalogInputCurrentMin | ( | float | current | ) |

set minimum current = ADC -> 0V

Parameters

  current | current

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAnalogInputDiopterMax()

void ICC4cPwmSdk.Device.IEccAnalogInput.SetAnalogInputDiopterMax | ( | float | diopter | ) |

set maximum Dpt = ADC -> 10V

Parameters

  diopter | diopter

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAnalogInputDiopterMin()

void ICC4cPwmSdk.Device.IEccAnalogInput.SetAnalogInputDiopterMin | ( | float | diopter | ) |

set minimum Dpt = ADC -> 0V

Parameters

  diopter | diopter

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAnalogInputExtrapolation()

void ICC4cPwmSdk.Device.IEccAnalogInput.SetAnalogInputExtrapolation | ( | EExtrapolationType | extrapolation | ) |

set constant or linear extrapolation

Parameters

  extrapolation | extrapolation

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAnalogInputType()

void ICC4cPwmSdk.Device.IEccAnalogInput.SetAnalogInputType | ( | EICC4cPwmUnitType | unitType | ) |

set active control stage system

Parameters

  unitType | unit type

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAnalogInputValuePoints()

void ICC4cPwmSdk.Device.IEccAnalogInput.SetAnalogInputValuePoints | ( | float[] | values | ) |

set interval of values to modify -> new float[] { -2, 3 } [dpt]

Parameters

  values | values

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAnalogInputVoltagePoints()

void ICC4cPwmSdk.Device.IEccAnalogInput.SetAnalogInputVoltagePoints | ( | float[] | voltages | ) |

set interval of points to modify -> new float[] { 0, 10 }

Parameters

  voltages | voltages

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/Ecc1cSdkDeviceController.cs